class ApiClientConfig {
  final String baseUrl;
  final Duration timeout;
  final Map<String, String> defaultHeaders;

  const ApiClientConfig({
    required this.baseUrl,
    this.timeout = const Duration(seconds: 30),
    this.defaultHeaders = const {},
  });

  static const ApiClientConfig development = ApiClientConfig(
    baseUrl: 'https://api-route.goutezplanb.com',
    timeout: Duration(seconds: 30),
  );

  static const ApiClientConfig production = ApiClientConfig(
    baseUrl: 'https://api-route.goutezplanb.com',
    timeout: Duration(seconds: 30),
  );
}
